%define dist .el5

%define pango_version 1.2.0
%define gtk2_version 2.3.0
%define desktop_file_utils_version 0.9
%define gnome_doc_utils_version 0.2.0
%define gconf_version 2.14

Name: bug-buddy
Version: 2.16.0
Release: 2%{?dist}.XOS.1
Epoch: 1
Summary: A bug reporting utility for GNOME
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/pre-gnome2/%{name}/%{name}-%{version}.tar.bz2
URL: http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/
BuildRoot:%{_tmppath}/%{name}-%{version}-root

Requires: gdb

PreReq:        desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libxml2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: fontconfig
BuildRequires: scrollkeeper
BuildRequires: gnome-desktop-devel
BuildRequires: gettext
BuildRequires: libbonobo-devel
BuildRequires: glib2-devel
BuildRequires: libgnome-devel
BuildRequires: gnome-menus-devel
BuildRequires: libglade2-devel
BuildRequires: which
# Needed by intltool
BuildRequires: perl-XML-Parser
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: libsoup-devel >= 2.2.90
BuildRequires: libgtop2-devel >= 2.13.3
BuildRequires: evolution-data-server-devel >= 1.3.0

Requires(pre): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q

%build

%configure --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## http://bugzilla.gnome.org/show_bug.cgi?id=89356
perl -pi -e 's/Categories=Application;Development$/Categories=Application;Development;/' $RPM_BUILD_ROOT%{_datadir}/applications/* 

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

# bug buddy doesn't seem to have schemas at the moment?
%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null || :
fi

%postun
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.ximian-logos ChangeLog INSTALL NEWS README TODO

%{_datadir}/icons/hicolor/48x48/apps/bug-buddy.png
%{_datadir}/bug-buddy
%{_datadir}/applications
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*

%changelog
* Thu Sep 13 2007 X/OS Linux Team <xoslinux@xos.nl> - 1:2.16.0-2.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on bug-buddy-2.16.0-2.el5.src.rpm
  (md5sum of original source rpm: cb9e4e3c2fde4aa714a76816ab9bb5da).
- Include "dist" macro with value ".el5" to match the original release number.

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0-2
- Fix scripts according to the packaging guidelines

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.92-1.fc6
- Update to 2.15.92

* Sat Aug  5 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.15.90-2.fc6
- rebuild against new e-d-s

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-1.fc6
- Update to 2.15.90

* Sat Jul 22 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.0-3
- Hide bug-buddy from the menus, since it is now strictly
  a crash-reporting tool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:2.15.0-2.1
- rebuild

* Wed Jun 14 2006 Tomas Mraz <tmraz@redhat.com> - 2.15.0-2
- rebuilt with new gnutls

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.0-1
- Update to 2.15.0
- Add more BuildRequires

* Sun Mar 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Fri Feb 17 2006 Karsten Hopp <karsten@redhat.de> 2.13.0-2
- BuildRequires: which

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.0-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.0-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.0-1
- Update to 2.13.0

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Oct 11 2005 Nils Philippsen <nphilipp@redhat.com> - 2.12.1-2
- add missing build requirements libbonobo-devel, glib2-devel, libgnome-devel,
  gnome-menus-devel, libglade2-devel

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1
- Drop upstreamed patches

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-2
- Fix a few bugs

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.11.1-2
- rebuild for new cairo

* Wed Aug 03 2005 Ray Strode <rstrode@redhat.com> - 2.11.1-1
- Update to upstream version 2.11.1

* Wed Jul 13 2005 Matthias Clasen <mclasen@redhat.com> 2.11.0-1
- Newer upstream version

* Sat Jul  9 2005 Matthias Clasen <mclasen@redhat.com> 2.10.0-2
- Rebuilt

* Fri Apr  8 2005 Ray Strode <rstrode@redhat.com> 2.10.0-1
- Update to 2.10.0

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> 2.9.92-1
- Update to 2.9.92
- Build against GCC 4.0

* Fri Feb 11 2005 Matthias Clasen <mclasen@redhat.com> 2.9.91-1
- Update to 2.9.91

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> 2.9.3-1
- Update to 2.9.3

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com>
- PreReq desktop-file-utils >= 0.9

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-2
- update desktop database on uninstall too.
- desktop-file-utils should be an install require, not a build require

* Mon Sep 13 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-1
- Update to 2.8.0
- Make sure to update MIME database for core file handling

* Sun Aug 22 2004 Christopher Aillon <caillon@redhat.com> 1:2.7.91-1
- update to 2.7.91

* Tue Aug 03 2004 Christopher Aillon <caillon@redhat.com> 1:2.7.0-1
- update to 2.7.0

* Tue Jun 29 2004 Christopher Aillon <caillon@redhat.com> 1:2.6.1-1
- update to 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 1:2.6.0-2
* #111155 BR perl-XML-Parser scrollkeeper gnome-desktop-devel gettext

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-1
- update to 2.6.0

* Wed Mar  3 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.90-2
- add COPYING.ximian-logos to docs (#115950)

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.90-1
- update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-1
- 2.5.2

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-1
- 2.4.0

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-1
- update for gnome 2.3

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1:2.2.106-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.106-1
- 2.2.106

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-5
- nuke BuildRequires Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- require gdb

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.2.0
- fixes to file list
- clean up unused files in install

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- fix for #69408 desktop file syntax glitch

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libraries
- use desktop-file-install

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 2.1.6

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- remove gconf post for now, seems to lack a schemas file

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- switch to GNOME 2 version
- clean up file list to use macros

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- rebuild with translations

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton

* Thu Jan 24 2002 Tim Powers <timp@redhat.com>
- rebuild against new openssl

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version. (2.0.6)

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't define %%nam and %%ver (why do people do that?)
- use %%{_tmppath}
- langify
- more cleanups

* Mon Dec 04 2000 Jonathan Blandford <jrb@redhat.com>
- Move to newer version.

* Fri Aug 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- delete Vendor: and Distribution: tags (#16115)
- move changelog to the end of the spec file

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
